User Management
Update User Password
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
user_id*User Id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/users/0/password" \ -H "Content-Type: application/json" \ -d '{ "new_password": "stringst" }'null{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}Update User PUT
Previous Page
Upload User Photo POST
Endpoint to upload a photo for a user. Accepts a single image file upload, validates the content-type, saves the file under the backend static/profile_images directory and updates the user's `profile_image` to the proxied URL (`/api/static/profile_images/<file>`). If `user_id` is provided, uploads for that user (requires MANAGE_USERS permission unless uploading for self). If omitted, uploads for the authenticated user.